[package]
name = "onionmasq-mobile"
version = "0.8.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[features]
# Enable verbose logcat logging, only useful for debugging purposes.
# You should NOT enable this in production builds for privacy reasons.
verbose = []
pluggable-transports = ["onion-tunnel/pluggable-transports"]

[dependencies]
anyhow = "1.0"
backtrace = "0.3.71"
lazy_static = "1.4.0"
onion-tunnel = { path = "../onion-tunnel", version = "0.8.0", features = ["udp-tunnel", "pcap"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
tokio = { version = "1.37.0", features = ["macros", "rt", "rt-multi-thread"] }
tokio-stream = "0.1"
tracing = "0.1.40"
# the java native interface
jni = { version = "0.21", default-features = false }
once_cell = "1.19.0"
futures = "0.3"
tracing-subscriber = { version = "0.3.18", features = ["fmt", "tracing-log", "env-filter"] }
tracing-android = "0.2.0"
dashmap = "6.0"
simple-proc-net = { path = "../simple-proc-net" }

# dependancies specific to Android
[target.'cfg(target_os = "android")'.dependencies]
# dependancy to help implementing lockf, for android < 7.0
libc = "0.2.153"

[build-dependencies]
cc = "1.0"

[lib]
name = "onionmasq_mobile"
# dylib is for Android
crate-type = ["dylib"]
